Loading ...
Sorry, an error occurred while loading the content.

Re: [soaplite] MustUnderstand

Expand Messages
  • Paul Kulchenko
    ... Pretty much so. You are able to set/get mustUnderstand attribute from element for a long time, but there was no support on server side to fail message if
    Message 1 of 2 , Jun 18, 2001
    • 0 Attachment
      --- aclarkdc@... wrote:
      > IBM has a chart on its DeveloperWorks site that compares the
      > features
      > of Apache SOAP, SOAP::Lite and MS SOAP Toolkit. It states that
      > SOAP::Lite has no support for mustUnderstand. Is this outdated
      > info? SOAP::Lite appears to support it from what I can see.
      Pretty much so. You are able to set/get mustUnderstand attribute from
      element for a long time, but there was no support on server side to
      fail message if Header has mustUnderstand attribute equal 1 and
      header is targeted to this destination. Last version (0.50) does
      this, so this information is outdated. Full support is still ahead
      and can be claimed only when pluggable Header Processors will be
      available, so you'll be able to specify how to handle specific
      headers.

      Best wishes, Paul.



      __________________________________________________
      Do You Yahoo!?
      Spot the hottest trends in music, movies, and more.
      http://buzz.yahoo.com/
    Your message has been successfully submitted and would be delivered to recipients shortly.